gnutls_certificate_set_x509_trust_dir(3)

NAME
gnutls_certificate_set_x509_trust_dir - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_set_x509_trust_dir(gnutls_certificate_credentials_t cred, const char * ca_dir, gnutls_x509_crt_fmt_t type);

ARGUMENTS

gnutls_certificate_credentials_t cred
    is a gnutls_certificate_credentials_t type.

const char * ca_dir
    is a directory containing the list of trusted CAs (DER or PEM list)

gnutls_x509_crt_fmt_t type
    is PEM or DER

DESCRIPTION
This function adds the trusted CAs present in the directory in order to verify client or server certificates. This function is identical to gnutls_certificate_set_x509_trust_file() but loads all certificates in a directory.

RETURNS
the number of certificates processed

SINCE
3.3.6

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/